Subject: bug#56241: [PATCH] icalendar doesn't correctly process arbitrary diary sexp entries

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 28 Jun 2022 13:21:48 +0200

hokomo <[email-masked]> writes:

> Yep, you can use the same testing script and just replace the last
> expression with:
>
> (let ((icalendar-export-sexp-enumeration-days 0))
>   (test-diary-sexp "%%(diary-float 7 0 1) First Sunday in July 1")
>   (test-diary-sexp "%%(my-float 7 0 1) First Sunday in July 2"))
>
> which should give you the error I mentioned.

Right; I can reproduce that problem.  I've added Ulf to the CCs; perhaps
he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no